Package io.vertx.rxjava3.mssqlclient

## Class MSSQLConnection

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.SqlClient
  - - io.vertx.rxjava3.sqlclient.SqlConnection
    - - io.vertx.rxjava3.mssqlclient.MSSQLConnection

-     public class MSSQLConnection
      extends SqlConnection

  A connection to Microsoft SQL Server.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MSSQLConnection>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MSSQLConnection​(MSSQLConnection delegate)` |
    `MSSQLConnection​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MSSQLConnection` | `cast​(SqlConnection sqlConnection)` | Cast a to `MSSQLConnection`.
    `MSSQLConnection` | `closeHandler​(Handler<Void> handler)` | Set an handler called when the connection is closed.
    `static Single<MSSQLConnection>` | `connect​(Vertx vertx, MSSQLConnectOptions connectOptions)` | Create a connection to SQL Server with the given `connectOptions`.
    `static Single<MSSQLConnection>` | `connect​(Vertx vertx, String connectionUri)` | Like `connect(io.vertx.rxjava3.core.Vertx, io.vertx.mssqlclient.MSSQLConnectOptions)` with options built from `connectionUri`.
    `boolean` | `equals​(Object o)` |
    `MSSQLConnection` | `exceptionHandler​(Handler<Throwable> handler)` | Set an handler called with connection errors.
    `MSSQLConnection` | `getDelegate()` |
    `int` | `hashCode()` |
    `MSSQLConnection` | `infoHandler​(Handler<MSSQLInfo> handler)` | Set a handler called when the connection receives an informational message from the server.
    `static MSSQLConnection` | `newInstance​(MSSQLConnection arg)` |
    `static Single<MSSQLConnection>` | `rxConnect​(Vertx vertx, MSSQLConnectOptions connectOptions)` | Create a connection to SQL Server with the given `connectOptions`.
    `static Single<MSSQLConnection>` | `rxConnect​(Vertx vertx, String connectionUri)` | Like `connect(io.vertx.rxjava3.core.Vertx, io.vertx.mssqlclient.MSSQLConnectOptions)` with options built from `connectionUri`.
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.sqlclient.SqlConnection

      `begin, databaseMetadata, isSSL, newInstance, prepare, prepare, rxBegin, rxPrepare, rxPrepare, transaction`

    - ### Methods inherited from class io.vertx.rxjava3.sqlclient.SqlClient

      `close, newInstance, preparedQuery, preparedQuery, query, rxClose`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MSSQLConnection> __TYPE_ARG

  - ### Constructor Detail

    - #### MSSQLConnection

          public MSSQLConnection​(MSSQLConnection delegate)

    - #### MSSQLConnection

          public MSSQLConnection​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SqlConnection`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `SqlConnection`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SqlConnection`

    - #### getDelegate

          public MSSQLConnection getDelegate()

      Overrides:
        `getDelegate` in class `SqlConnection`

    - #### connect

          public static Single<MSSQLConnection> connect​(Vertx vertx,
                                                        MSSQLConnectOptions connectOptions)

      Create a connection to SQL Server with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection
      Returns:
        a future notified with the connection or the failure

    - #### rxConnect

          public static Single<MSSQLConnection> rxConnect​(Vertx vertx,
                                                          MSSQLConnectOptions connectOptions)

      Create a connection to SQL Server with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection
      Returns:
        a future notified with the connection or the failure

    - #### connect

          public static Single<MSSQLConnection> connect​(Vertx vertx,
                                                        String connectionUri)

      Like `connect(io.vertx.rxjava3.core.Vertx, io.vertx.mssqlclient.MSSQLConnectOptions)` with options built from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### rxConnect

          public static Single<MSSQLConnection> rxConnect​(Vertx vertx,
                                                          String connectionUri)

      Like `connect(io.vertx.rxjava3.core.Vertx, io.vertx.mssqlclient.MSSQLConnectOptions)` with options built from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### exceptionHandler

          public MSSQLConnection exceptionHandler​(Handler<Throwable> handler)

      Description copied from class: `SqlConnection`
      Set an handler called with connection errors.
      Overrides:
        `exceptionHandler` in class `SqlConnection`
      Parameters:
        `handler` -
      Returns:

    - #### closeHandler

          public MSSQLConnection closeHandler​(Handler<Void> handler)

      Description copied from class: `SqlConnection`
      Set an handler called when the connection is closed.
      Overrides:
        `closeHandler` in class `SqlConnection`
      Parameters:
        `handler` -
      Returns:

    - #### infoHandler

          public MSSQLConnection infoHandler​(Handler<MSSQLInfo> handler)

      Set a handler called when the connection receives an informational message from the server.
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### cast

          public static MSSQLConnection cast​(SqlConnection sqlConnection)

      Cast a to `MSSQLConnection`. This is mostly useful for Vert.x generated APIs like RxJava/Mutiny.
      Parameters:
        `sqlConnection` - the connection to cast
      Returns:
        a `instance`

    - #### newInstance

          public static MSSQLConnection newInstance​(MSSQLConnection arg)